# eric6.QScintilla.Lexers.LexerD

Module implementing a D lexer with some additional methods.

### Global Attributes

None

### Classes

LexerD | Subclass to implement some additional lexer dependant methods.

### Functions

None

## LexerD

Subclass to implement some additional lexer dependant methods.

### Derived from

Lexer, QsciLexerD

### Class Attributes

None

### Class Methods

None

### Methods

LexerD | Constructor
autoCompletionWordSeparators | Public method to return the list of separators for autocompletion.
defaultKeywords | Public method to get the default keywords.
initProperties | Public slot to initialize the properties.
isCommentStyle | Public method to check, if a style is a comment style.
isStringStyle | Public method to check, if a style is a string style.
maximumKeywordSet | Public method to get the maximum keyword set.

### Static Methods

None

#### LexerD (Constructor)

LexerD(parent=None)

Constructor

parent
  parent widget of this lexer

#### LexerD.autoCompletionWordSeparators

autoCompletionWordSeparators()

Public method to return the list of separators for autocompletion.

Returns:
  list of separators (list of strings)

#### LexerD.defaultKeywords

defaultKeywords(kwSet)

Public method to get the default keywords.

kwSet
  number of the keyword set (integer)

Returns:
  string giving the keywords (string) or None

#### LexerD.initProperties

initProperties()

Public slot to initialize the properties.

#### LexerD.isCommentStyle

isCommentStyle(style)

Public method to check, if a style is a comment style.

style
  style to check (integer)

Returns:
  flag indicating a comment style (boolean)

#### LexerD.isStringStyle

isStringStyle(style)

Public method to check, if a style is a string style.

style
  style to check (integer)

Returns:
  flag indicating a string style (boolean)

#### LexerD.maximumKeywordSet

maximumKeywordSet()

Public method to get the maximum keyword set.

Returns:
  maximum keyword set (integer)

Up